Subject: SRv6 Network Programming - Transit Behavior

From: "Joel M. Halpern" <[email-masked]>
Date: Thu, 16 Aug 2018 19:13:22 -0400

Since a Transit node that is not the current destination ignores an SRH, 
I have been trying to understand what "transit behavior" is and why it 
is being described here.

Looking at the actual examples, the behavior described does not seem to 
be "transit" relative to SRH.  It looks like what is actually described 
is variations on types of ingress behavior that may be configured on a 
node.  Such ingress behavior might, apparently, occur while a packet has 
an SRH.  Equally, it can occur on packets that do not have SRH.

All four behaviors described seem to me to correspond to cases that 
occur in the base SRH document.  Maybe it would be better to actually 
clarify in that document when each behavior should or could be used?

Failing that, could we at least stop calling them "transit"?

Thank you,
Joel